Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#13908 closed defect (wontfix)

command line option "--language" needs to be evaluated at first

Reported by: skyper Owned by: team
Priority: trivial Milestone:
Component: Core Version: latest
Keywords: template_report command line Cc:

Description

What steps will reproduce the problem?

  1. start josm from command line with option --language

What is the expected result?

All messages on the console are in the manually defined language.

What happens instead?

The first message is still in local language.

Please provide any additional information below. Attach a screenshot if possible.

user@host:~$ /usr/lib/jvm/java-8-openjdk-amd64/bin/java -jar josm-latest.jar --language=en 
2016-11-03 17:46:12.242 INFORMATION: Protokollierungsgrad ist bei INFORMATION (INFO, 800)
2016-11-03 17:46:24.578 INFO: Could not load tool definition getoffset
URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-11-01 23:23:54 +0100 (Tue, 01 Nov 2016)
Build-Date:2016-11-02 02:32:44
Revision:11209
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11209 en) Linux Debian GNU/Linux 8.6 (jessie)
Memory Usage: 406 MB / 882 MB (242 MB allocated, but free)
Java version: 1.8.0_102-8u102-b14.1-1~bpo8+1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:amd64-8u102-b14.1-1~bpo8+1
Program arguments: [--language=en]

Attachments (0)

Change History (3)

comment:1 Changed 4 years ago by skyper

Version: latest

comment:2 Changed 4 years ago by Don-vip

Resolution: wontfix
Status: newclosed

The logs are set before processing command line arguments, it would be too complicated to change that for no added value.

comment:3 Changed 4 years ago by skyper

Summary: command line option "--languge" needs to be evaluated at firstcommand line option "--language" needs to be evaluated at first

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.